SLATTACH(8)

NAZWA
slattach - dołącz interfejs sieciowy do linii szeregowej

SKŁADNIA

slattach
    [-dehlLmnqv] [-c polecenie] [-p protokół]
    [-s prędkość] [tty]

OPIS
Uwaga! To tłumaczenie może być nieaktualne!

Slattach jest malutkim programem, który służy do ustawienia zwykłej linii terminalowej ("szeregowej") w jeden z kilku trybów "sieciowych", umożliwiając w ten sposób użycie jej do połączeń punkt-punkt z innymi komputerami.

OPCJE

-c polecenie
    Wykonuje polecenie po rozłączeniu linii. Może służyć do uruchamiania skryptów lub ponownego ustanawiania połączenia, gdy zostanie ono zerwane.

-d  Włącza debuggowanie wyników. Przydatne do określania dlaczego dana konfiguracja nie działa.

-h  Kończy pracę po utracie nośnej. Działa zarówno na urządzeniach /dev/tty jak i na /dev/cua co 15 sekund bezpośrednio monitorując stan nośnej. -v Włącza tryb gadatliwy. Przydatne w skryptach powłoki.

-q  Włącza pracę w trybie cichym - w ogóle bez komunikatów.

-l  Tworzy dla urządzenia plik blokujący w /var/lock, w stylu UUCP.

-n  Równoważne poleceniu "mesg n".

-m  Nie inicjuje linii w 8-bitowym trybie surowym.

-e  Kończy pracę zaraz po zainicjowaniu urządzenia, zamiast oczekiwania na rozłączenie się linii.

-L  Włącza 3-przewodowy tryb pracy. Terminal wprowadzany jest w tryb CLOCAL [linia lokalna], wyłączane jest śledzenie nośnej.

-p protokół
    Ustawia zadany typ protokołu, jaki na być używany na linii. Domyślnie jest to cslip, tj. kompresowany SLIP. Inne możliwe wartości to slip (zwykły SLIP), adaptive (dostosowujący się CSLIP/SLIP), ppp (Point-to-Point Protocol) oraz kiss (protokół wykorzystywany do komunikacji z kontrolerami węzłów terminalowych radia pakietowego AX.25). Specjalny argument tty służy do ponownego wprowadzania terminala w zwykły tryb pracy szeregowej. Używanie trybu 'ppp' zwykle nie jest przydatne, gdyż ppp wymaga uaktywnionego dodatkowego demona pppd dla danej linii. Dla połączeń kiss powinien być używany program axattach.

-s prędkość
    Ustawia zadaną prędkość linii, inną niż domyślna.

Jeżeli nie podano żadnych argumentów, to używane jest bieżące łącze terminalowe (zwykle: urządzenie logowania). W przeciwnym razie, wykonywana jest próba zażądania wskazanego portu terminala, zablokowania go i otwarcia.

PLIKI
/dev/cua* /var/lock/LCK.*

BŁĘDY
Brak znanych.

ZOBACZ TAKŻE
axattach(8), dip(8), pppd(8), sliplogin(8).

AUTORZY
Fred N. van Kempen, <waltje@uwalt.nl.mugnet.org>
Alan Cox, <Alan.Cox@linux.org>
Miquel van Smoorenburg, <miquels@drinkel.ow.org>
George Shearer, <gshearer@one.net>
Yossi Gottlieb, <yogo@math.tau.ac.il>

INFORMACJE O TŁUMACZENIU
Powyższe tłumaczenie pochodzi z nieistniejącego już Projektu Tłumaczenia Manuali i może nie być aktualne. W razie zauważenia różnic między powyższym opisem a rzeczywistym zachowaniem opisywanego programu lub funkcji, prosimy o zapoznanie się z oryginalną (angielską) wersją strony podręcznika za pomocą polecenia:

    man --locale=C 8 slattach

Prosimy o pomoc w aktualizacji stron man - więcej informacji można znaleźć pod adresem http://sourceforge.net/projects/manpages-pl/.